Bulk Add IP Phones
Add multiple IP phones of the same vendor and model to the Auto Provisioning Phone list.
Request URL
POST {base_url}/{api_path}/phone/batchcreate?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| vendor | Yes | String | Phone vendor. Note: You can query the available options using Query Configuration Options for Auto Provisioning. |
| model | Yes | String | Phone model. Note: You can query the available options using Query Configuration Options for Auto Provisioning. |
| phone_list | Yes | Array<Ext_Assign> | The extension assignment of the phones. |
| template_name | Yes | String | The name of the provisioning template to be applied to the phones. Note:You can query the available options using Query Configuration Options for Auto Provisioning. |
| provisioning_method | Yes | String | Provisioning method for the IP phone(s). Valid value:
|
| onsite_proxy_uuid | No | String | The UUID of an Onsite Proxy instance used for auto provisioning. Note:The parameter is available only when the provisioning_method filed is set to pnp_via_onsite_proxy or dhcp_via_onsite_proxy. |
| enb_rps_auth | No | Integer | Whether to enable authentication for the first-time Auto Provisioning when using RPS or RPS FQDN provisioning method. Valid value:
|
Ext_Assign
| Parameter | Required | Type | Description |
|---|---|---|---|
| mac | Yes | String | The MAC address of the IP phone. Note: You can query the IP phone's MAC address using Search Specific IP Phones. |
| ext_id | Yes | Integer | The unique ID of the extension to be assigned to the IP phone. Note: You can query the extension ID using Search Specific Extensions. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/phone/batchcreate?access_token=fy59UJHFHJvOMthVlQM4z9sq6gFHcZVn HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
User-Agent: OpenAPI
{
"vendor": "Yealink",
"model": "SIP-T53W",
"template_name": "YSDP_YealinkT5",
"provisioning_method": "rps",
"enb_rps_auth": 1,
"phone_list": [
{
"mac": "10:00:00:00:00:00",
"ext_id": 3
},
{
"mac": "11:11:11:11:11:11",
"ext_id": 4
}]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
}